Package org.drinkless.tdlib

# Class TdApi.PushMessageContentGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentGift

Enclosing class:
  `TdApi`

public static class TdApi.PushMessageContentGift extends TdApi.PushMessageContent
A message with a gift.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPrepaidUpgrade`
  True, if the message is about prepaid upgrade of the gift by another user instead of actual receiving of a new gift.
  `long`
  `starCount`
  Number of Telegram Stars that sender paid for the gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentGift()`
  A message with a gift.
  `PushMessageContentGift(long starCount, boolean isPrepaidUpgrade)`
  A message with a gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    Number of Telegram Stars that sender paid for the gift.

  - ### isPrepaidUpgrade

    public boolean isPrepaidUpgrade
    True, if the message is about prepaid upgrade of the gift by another user instead of actual receiving of a new gift.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentGift

    public PushMessageContentGift()
    A message with a gift.

  - ### PushMessageContentGift

    public PushMessageContentGift(long starCount, boolean isPrepaidUpgrade)
    A message with a gift.
    Parameters:
      `starCount` - Number of Telegram Stars that sender paid for the gift.
      `isPrepaidUpgrade` - True, if the message is about prepaid upgrade of the gift by another user instead of actual receiving of a new gift.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR